CFNumber Reference

## Detailed Description

## Typedefs

typedef const struct __CFNumber * | CFNumberRef

## Enumerations

enum

CFNumberType {
kCFNumberSInt8Type = 1 , kCFNumberSInt16Type = 2 , kCFNumberSInt32Type = 3 , kCFNumberSInt64Type = 4 ,
kCFNumberFloat32Type = 5 , kCFNumberFloat64Type = 6 , kCFNumberCharType = 7 , kCFNumberShortType = 8 ,
kCFNumberIntType = 9 , kCFNumberLongType = 10 , kCFNumberLongLongType = 11 , kCFNumberFloatType = 12 ,
kCFNumberDoubleType = 13 , kCFNumberCFIndexType = 14 , kCFNumberNSIntegerType = 15 , kCFNumberCGFloatType = 16 ,
kCFNumberMaxType = 16
}

## Variables

const CFNumberRef | kCFNumberNaN
const CFNumberRef | kCFNumberNegativeInfinity
const CFNumberRef | kCFNumberPositiveInfinity

## Creating a Number

CFNumberRef | CFNumberCreate (CFAllocatorRef allocator, CFNumberType theType, const void *valuePtr)

## Getting Information About Numbers

CFIndex | CFNumberGetByteSize (CFNumberRef number)
CFNumberType | CFNumberGetType (CFNumberRef number)
Boolean | CFNumberGetValue (CFNumberRef number, CFNumberType theType, void *valuePtr)
Boolean | CFNumberIsFloatType (CFNumberRef number)

## Comparing Numbers

CFComparisonResult | CFNumberCompare (CFNumberRef number, CFNumberRef otherNumber, void *context)

## Getting the CFNumber Type ID

CFTypeID | CFNumberGetTypeID (void)